import request from '@/utils/request'

// 查询测评人员列表
export function listSyTestExaminee(query) {
  return request({
    url: '/sy/syTestExaminee/list',
    method: 'get',
    params: query
  })
}

// 查询测评人员详细
export function getSyTestExaminee(examineeId) {
  return request({
    url: '/sy/syTestExaminee/' + examineeId,
    method: 'get'
  })
}

// 新增测评人员
export function addSyTestExaminee(data) {
  return request({
    url: '/sy/syTestExaminee',
    method: 'post',
    data: data
  })
}

// 修改测评人员
export function updateSyTestExaminee(data) {
  return request({
    url: '/sy/syTestExaminee',
    method: 'put',
    data: data
  })
}

// 删除测评人员
export function delSyTestExaminee(examineeId) {
  return request({
    url: '/sy/syTestExaminee/' + examineeId,
    method: 'delete'
  })
}

// 导出测评人员
export function exportSyTestExaminee(query) {
  return request({
    url: '/sy/syTestExaminee/export',
    method: 'get',
    params: query
  })
}